summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>2013-06-26 19:16:12 +0000
committerJorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>2013-06-26 19:16:12 +0000
commit86a0814bf9c5dff70451af813c7fde345c7e4f32 (patch)
treefd40732cdec915d0b0c9efaa924ea8740da2677c /eclass/mysql-v2.eclass
parent[dev-db/msyql] Update 5.1.70 to use a new mysql-extras. (diff)
downloadmysql-86a0814bf9c5dff70451af813c7fde345c7e4f32.tar.gz
mysql-86a0814bf9c5dff70451af813c7fde345c7e4f32.tar.bz2
mysql-86a0814bf9c5dff70451af813c7fde345c7e4f32.zip
Add explicit return value for pbxt_patch_available, pbxt_available and xtradb_patch_available functions.
Diffstat (limited to 'eclass/mysql-v2.eclass')
-rw-r--r--eclass/mysql-v2.eclass3
1 files changed, 3 insertions, 0 deletions
diff --git a/eclass/mysql-v2.eclass b/eclass/mysql-v2.eclass
index 4b2aa74..e213275 100644
--- a/eclass/mysql-v2.eclass
+++ b/eclass/mysql-v2.eclass
@@ -301,10 +301,12 @@ PDEPEND="${PDEPEND} =virtual/mysql-${MYSQL_PV_MAJOR}"
# PBXT was only introduced after 5.1.12
pbxt_patch_available() {
[[ ${PN} != "mariadb" && ${PN} != "mariadb-galera" && ( -n "${PBXT_VERSION}" ) ]]
+ return $?
}
pbxt_available() {
pbxt_patch_available || [[ ${PN} == "mariadb" || ${PN} == "mariadb-galera" ]]
+ return $?
}
# Get the percona tarball if XTRADB_VER and PERCONA_VER are both set
@@ -314,6 +316,7 @@ pbxt_available() {
xtradb_patch_available() {
[[ ${PN} != "mariadb" && ${PN} != "mariadb-galera"
&& ( -n "${XTRADB_VER}" ) && ( -n "${PERCONA_VER}" ) ]]
+ return $?
}
if pbxt_patch_available; then